# $Id: smeserver-dimp.spec,v 1.5 2008/12/06 03:58:34 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Dimp configuration and templates.
%define name smeserver-dimp
Name: %{name}
%define version 1.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: dimp-1.1_upgrade.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: dimp-h3 >= 1.0
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no


%changelog
* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-2
- Upgrade to Dimp 1.1

* Sat Jun 7 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Initial Dimp 1.0 production build

* Sat May 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.2-1
- Updated to include changes in Dimp 1.0 RC4
- Re-rolled tarball

* Sun Apr 6 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build with Dimp 1.0 RC3

%description
This package adds necessary templates and configuration items
so that Dimp will work properly on SME Server

%prep
%setup

%patch1 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
